petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSubcommSetOptionsPrefix

Sets the prefix used for searching for all PetscSubcomm items in the options database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetOptionsPrefix(PetscSubcomm psubcomm,const char pre[])

Logically collective on PetscSubcomm.

### Input Parameters

| psubcomm | - PetscSubcomm context
| prefix | - the prefix to prepend all PetscSubcomm item names with.

### Level

Intermediate

### Location

src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages